# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/arm/spear.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: ST SPEAr Platforms Device Tree Bindings

maintainers:
  - Viresh Kumar <vireshk@kernel.org>
  - Stefan Roese <sr@denx.de>

properties:
  $nodename:
    const: '/'
  compatible:
    items:
      - enum:
          - st,spear600
          - st,spear300
          - st,spear310
          - st,spear320
          - st,spear1310
          - st,spear1340

additionalProperties: true

...
